import { Provider } from '0x.js';
import { Aqueduct } from './generated/aqueduct';
import { Web3EnabledService } from './web3-enabled-service';
export interface ICancelOrderParams {
    /**
     * Web3 provider engine
     */
    provider: Provider;
    /**
     * Order
     */
    order: Aqueduct.Api.Order;
    shouldPrefix: boolean;
}
/**
 * Cancel an order by orderHash; returns txHash if successful
 */
export declare class CancelOrder extends Web3EnabledService<Aqueduct.Api.ICancelOrderResult> {
    private readonly params;
    constructor(params: ICancelOrderParams);
    protected run(): Promise<Aqueduct.Api.ICancelOrderResult>;
}
