/// <reference types="@ledgerhq" />
import { ZeroEx } from '0x.js';
import { Order, SignatureType } from '@0xproject/types';
import { BigNumber } from '@0xproject/utils';
export declare const SigningUtils: {
    rsvToSignature(ecSignature: ECSignature): string;
    signMessageAsync(zeroEx: ZeroEx, hexMessage: string, address: string, signatureType: SignatureType, shouldPrefix: boolean): Promise<string>;
    getExecuteTransactionHex(data: string, salt: BigNumber, signerAddress: string, exchangeAddress: string): string;
    signExecuteTransactionHexAsync(zeroEx: ZeroEx, executeTransactionHex: string, signerAddress: string, signatureType: SignatureType | undefined, shouldPrefix: boolean): Promise<string>;
    signOrder(params: {
        zeroEx: ZeroEx;
        makerAddress: string;
        makerAssetAddress: string;
        takerAssetAddress: string;
        senderAddress: string;
        exchangeAddress: string;
        feeRecipientAddress: string;
        makerAssetAmount: BigNumber;
        takerAssetAmount: BigNumber;
        makerFee: BigNumber;
        takerFee: BigNumber;
        expirationTimeSeconds: BigNumber;
        shouldPrefix: boolean;
    }): Promise<{
        order: Order;
        signature: string;
    }>;
};
